WinCrypt.CRL_ENTRY (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinCrypt, class: CRL_ENTRY

Package com.sun.jna.platform.win32

# Class WinCrypt.CRL_ENTRY

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinCrypt.CRL_ENTRY

Direct Known Subclasses:
  `WinCrypt.CRL_ENTRY.ByReference`

Enclosing interface:
  WinCrypt

@FieldOrder({"SerialNumber","RevocationDate","cExtension","rgExtension"}) public static class WinCrypt.CRL_ENTRY extends Structure
The CRL_ENTRY structure contains information about a single revoked certificate. It is a member of a CRL_INFO structure.

See Also:
  - MSDN

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinCrypt.CRL_ENTRY.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `cExtension`
  `WinBase.FILETIME`
  `RevocationDate`
  `Pointer`
  `rgExtension`
  `WinCrypt.DATA_BLOB`
  `SerialNumber`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CRL_ENTRY()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WinCrypt.CERT_EXTENSION[]`
  `getRgExtension()`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### SerialNumber

    public WinCrypt.DATA_BLOB SerialNumber

  - ### RevocationDate

    public WinBase.FILETIME RevocationDate

  - ### cExtension

    public int cExtension

  - ### rgExtension

    public Pointer rgExtension

- ## Constructor Details

  - ### CRL_ENTRY

    public CRL_ENTRY()

- ## Method Details

  - ### getRgExtension

    public WinCrypt.CERT_EXTENSION[] getRgExtension()